org.apache.http.impl

## Class DefaultBHttpServerConnectionFactory

- java.lang.Object
- - org.apache.http.impl.DefaultBHttpServerConnectionFactory

- All Implemented Interfaces:
    HttpConnectionFactory<DefaultBHttpServerConnection>

      @Immutable
      public class DefaultBHttpServerConnectionFactory
      extends Object
      implements HttpConnectionFactory<DefaultBHttpServerConnection>

  Default factory for `HttpServerConnection`s.
  Since:
    4.3

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static DefaultBHttpServerConnectionFactory` | `INSTANCE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultBHttpServerConnectionFactory()`
    `DefaultBHttpServerConnectionFactory(ConnectionConfig cconfig)`
    `DefaultBHttpServerConnectionFactory(ConnectionConfig cconfig, ContentLengthStrategy incomingContentStrategy, ContentLengthStrategy outgoingContentStrategy, HttpMessageParserFactory<HttpRequest> requestParserFactory, HttpMessageWriterFactory<HttpResponse> responseWriterFactory)`
    `DefaultBHttpServerConnectionFactory(ConnectionConfig cconfig, HttpMessageParserFactory<HttpRequest> requestParserFactory, HttpMessageWriterFactory<HttpResponse> responseWriterFactory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `DefaultBHttpServerConnection` | `createConnection(Socket socket)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE

          public static final DefaultBHttpServerConnectionFactory INSTANCE

  - ### Constructor Detail

    - #### DefaultBHttpServerConnectionFactory

          public DefaultBHttpServerConnectionFactory(ConnectionConfig cconfig,
                                             ContentLengthStrategy incomingContentStrategy,
                                             ContentLengthStrategy outgoingContentStrategy,
                                             HttpMessageParserFactory<HttpRequest> requestParserFactory,
                                             HttpMessageWriterFactory<HttpResponse> responseWriterFactory)

    - #### DefaultBHttpServerConnectionFactory

          public DefaultBHttpServerConnectionFactory(ConnectionConfig cconfig,
                                             HttpMessageParserFactory<HttpRequest> requestParserFactory,
                                             HttpMessageWriterFactory<HttpResponse> responseWriterFactory)

    - #### DefaultBHttpServerConnectionFactory

          public DefaultBHttpServerConnectionFactory(ConnectionConfig cconfig)

    - #### DefaultBHttpServerConnectionFactory

          public DefaultBHttpServerConnectionFactory()

  - ### Method Detail

    - #### createConnection

          public DefaultBHttpServerConnection createConnection(Socket socket)
                                                        throws IOException

      Specified by:
        `createConnection` in interface `HttpConnectionFactory<DefaultBHttpServerConnection>`
      Throws:
        `IOException`

Copyright © 2005–2013 The Apache Software Foundation. All rights reserved.